EltonZhao

新しいバージョンのSupineでモーションを制作した際、そのデータのバージョンを下げる必要があるのですが、
新しいバージョンのデータを古いバージョンにダウンさせることは可能でしょうか。
現在使用しているバージョンは、Spine2.1.27です。

Google translate:
When creating a motion with a new version of Supine, it is necessary to lower the version of that data,
Is it possible to bring down the new version of the data to the old version?
The version currently in use is Spine 2.1.27.
EltonZhao
  • Сообщения: 2

Erikari

脊椎をダウングレードするには、Spine> Settings> Versionに移動して希望のバージョンに変更し、脊柱を再起動します。希望のバージョンと互換性のあるファイルを作成できるはずです。

To downgrade Spine go to Spine>Settings>Version and change to the desired version, restart spine and you should be able to create a file compatible with your desired version.
Аватара пользователя
Erikari

Erikari
  • Сообщения: 2017

takeguchi

こんにちは

質問者とは別の人間ですが、同じ問題を抱えています。
新しいバージョンのSPINEで保存した作業データを 古いバージョンのSPINに読み込む方法は有るでしょうか?

作業データのバージョンは3.7.94で、バージョン2.1.27で利用する方法を探しています。

SPINEデータ以外に、エクスポートしたjsonなどを使って、
スケルトンデータやアニメーションデータなど、
一部のデータを読み込めるだけでも 可能であれば非常に助かります。

この文章は自動翻訳を使用しているため、不自然な文法になっているかもしれません。
あなたに意味が伝わりくいようであれば 再度説明しますので、
その旨お伝えいただければ幸いです。

Hello

He is a different person than the questioner, but has the same problem.
Is there a way to load work data saved with a new version of SPINE into an old version of SPIN?

The working data version is 3.7.94, and we are looking for a way to use it with version 2.1.27.

In addition to SPINE data, use exported json etc.
Skeleton data and animation data,
Even if you can read some data, it will be very helpful if possible.

Since this sentence uses automatic translation, it may have an unnatural grammar.
I ’ll explain it again if it ’s difficult for you to understand.
I would appreciate it if you could tell me that.
takeguchi
  • Сообщения: 2

Erikari

こんにちは、残念ながら2.1.27は非常に古いバージョンです。
JsonRollbackツールを使用してデータのロールバックを試みることができますが、Spineで導入された新しい機能を使用しないことを確認しないと失敗する可能性があります。

あなたに役立つかもしれないいくつかの同様のトピックはここにあります:(英語で)

Hello, unfortunately 2.1.27 is an extremely old version.
You may be able to try to roll back the data using the JsonRollback tool, but I'm afraid it may fail if you don't make sure not to use any new feature that was introduced in Spine.
Here are some similar topics that may help you: (in English)

Open project in an older version
Problem when I try open 3.8.15-beta JSON in 2.1.27
3.8.13 crash pixijs and corrupted project file Search this
Аватара пользователя
Erikari

Erikari
  • Сообщения: 2017


Вернуться в 日本のSpine ユーザー